Printago API
PATCH
/v1/materials/groups/{id}
Update group
Update a material group's properties
Path Parameters
id
required
string
Group ID
Request Body
Fields to update
PartialMaterialGroup
createdAtoptional
string
format: date-time
idoptional
string
pattern: ^[a-z0-9]{24}$
nameoptional
string
parentIdoptional
string
priorityoptional
number
min: 0
storeIdoptional
string
pattern: ^[a-z0-9]{24}$
updatedAtoptional
string
format: date-time
Example Request
application/json
{
"name": "string",
"priority": 0,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:55.594Z",
"updatedAt": "2026-08-24T03:58:55.594Z"
}
Response Schema
MaterialGroup
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequired
string
priorityrequired
number
min: 0
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"name": "string",
"priority": 0,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:55.594Z",
"updatedAt": "2026-08-24T03:58:55.594Z"
}